summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilip Goto2019-01-30 21:00:04 +0100
committerPhilip Goto2019-01-30 21:00:04 +0100
commit4b8a7ff1344d33d417c12c1ae7d77970641fdf10 (patch)
tree97f63f9848bd2f0a3d1a3a503916c73a1172dcc4
downloadaur-4b8a7ff1344d33d417c12c1ae7d77970641fdf10.tar.gz
Initialize package
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD43
2 files changed, 69 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..87909f8e2d1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = shortwave-git
+ pkgdesc = Find and listen to internet radio stations
+ pkgver = r215.b28ab0d
+ pkgrel = 1
+ url = https://gitlab.gnome.org/World/Shortwave
+ arch = i686
+ arch = x86_64
+ arch = armv6h
+ arch = armv7h
+ license = GPL3
+ makedepends = cargo
+ makedepends = git
+ makedepends = gobject-introspection
+ makedepends = libdazzle
+ makedepends = libhandy
+ makedepends = meson
+ makedepends = rust
+ depends = gstreamer
+ depends = libhandy
+ provides = shortwave
+ conflicts = shortwave
+ source = git+https://gitlab.gnome.org/World/Shortwave.git
+ sha256sums = SKIP
+
+pkgname = shortwave-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4dad605b061
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Philip Goto <philip.goto@gmail.com>
+
+pkgname=shortwave-git
+pkgver=r215.b28ab0d
+pkgrel=1
+pkgdesc="Find and listen to internet radio stations"
+arch=(i686 x86_64 armv6h armv7h)
+url="https://gitlab.gnome.org/World/Shortwave"
+license=(GPL3)
+depends=(gstreamer
+ libhandy)
+makedepends=(cargo
+ git
+ gobject-introspection
+ libdazzle
+ libhandy
+ meson
+ rust)
+provides=(shortwave)
+conflicts=(shortwave)
+source=("git+https://gitlab.gnome.org/World/Shortwave.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd Shortwave
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ arch-meson Shortwave build
+ ninja -C build
+}
+
+check() {
+ ninja -C build test
+}
+
+package() {
+ DESTDIR="$pkgdir/" ninja -C build install
+}